@import url('https://fonts.googleapis.com/css?family=Montserrat&display=swap');
@import url('https://fonts.googleapis.com/css?family=Pacifico&display=swap');
:root {
    --main-color: #25277A;
    --main-two-color: #0351D7;
    --main-three-color: rgb(24, 25, 78);
    --main-buttons: #53E0C0;
    --main-clicked-buttons: rgb(79, 206, 176);
    --main-background: #BCBCBC;
    --plus-color: #04BD84;
    --minus-color: #FB0246;
    --blue-button: rgb(2, 160, 251);
    --block-color: #7373A5;
    --edit-color: #FC795B;
    --hover-item-color: #e9e9e9;
}

body {
    font-family: 'Montserrat', sans-serif;
    background: #fafafa;
}

p {
    font-size: 1.1em;
    font-weight: 300;
    line-height: 1.7em;
    color: var(--main-background);
}

.justify {
    text-align: justify;
}

button {
    border: 0;
    background-color: #fff;
}

button:focus {
    border: none;
    outline: none;
}

.hidden {
    display: none;
}

a, a:hover, a:focus {
    color: inherit;
    text-decoration: none;
    transition: all 0.3s;
}

.navbar {
    padding: 15px 10px;
    background: #fff;
    border: none;
    border-radius: 0;
    margin-bottom: 40px;
    box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.1);
}

.navbar-btn {
    box-shadow: none;
    outline: none !important;
    border: none;
}

.line {
    width: 100%;
    height: 1px;
    border-bottom: 1px dashed #ddd;
    margin: 40px 0;
}

/* ---------------------------------------------------
    SIDEBAR
----------------------------------------------------- */

.wrapper {
    display: flex;
    width: 100%;
    align-items: stretch;
}

#sidebar {
    min-width: 250px;
    max-width: 250px;
    background: var(--main-color);
    color: #fff;
    transition: all 0.3s;
}

#sidebar.active {
    margin-left: -250px;
}

#sidebar .sidebar-header {
    padding: 20px;
    background-image: linear-gradient( rgb(24, 25, 78), var(--main-color));
}

#sidebar ul.components {
    padding: 20px 0;
}

#sidebar ul p {
    padding: 10px;
}

#sidebar ul li a {
    padding: 10px;
    font-size: 0.9em;
    display: block;
}

#sidebar ul li a:hover {
    color: var(--main-two-color);
    background: #fff;
}

#sidebar ul li.active>a, a[aria-expanded="true"] {
    color: #fff;
    background: var(--main-three-color);
}

a[data-toggle="collapse"] {
    position: relative;
}

.dropdown-toggle::after {
    display: block;
    position: absolute;
    top: 50%;
    right: 20px;
    transform: translateY(-50%);
}

ul ul a {
    font-size: 0.8em !important;
    padding-left: 30px !important;
}

ul.CTAs {
    padding: 20px;
}

ul.CTAs a {
    text-align: center;
    font-size: 0.9em !important;
    display: block;
    border-radius: 5px;
    margin-bottom: 5px;
}

/* ---------------------------------------------------
    CONTENT STYLE
----------------------------------------------------- */

#content {
    width: 100%;
    min-height: 100vh;
    transition: all 0.3s;
    background-color: rgb(240, 240, 240);
}

/* ---------------------------------------------------
    MEDIAQUERIES
----------------------------------------------------- */

@media (max-width: 768px) {
    #sidebar {
        margin-left: -250px;
    }
    #sidebar.active {
        margin-left: 0;
    }
    #sidebarCollapse span {
        display: none;
    }
}

/* ---------------------------------------------------
    COMMON
----------------------------------------------------- */

table {
    table-layout: fixed;
    word-wrap: break-word;
}

.main-container {
    margin-bottom: 3%;
}

.company-name {
    font-size: 20px;
    font-family: 'Pacifico', cursive;
}

.page-main-title {
    text-transform: uppercase;
    font-weight: bold;
    font-size: 25px;
    text-align: center;
}

.custom-button {
    background-color: var(--main-buttons);
    color: #fff;
    text-transform: uppercase;
    padding: 5px;
    border-radius: 3px;
}

.custom-button:focus {
    background-color: var(--main-clicked-buttons);
    color: #fff;
}

.custom-button:hover {
    background-color: var(--main-clicked-buttons);
    color: #fff;
}

input[type="file"] {
    display: none;
}

.custom-file-upload {
    background-color: var(--main-buttons);
    color: #fff;
    text-transform: uppercase;
    padding: 5px 15px 5px 15px;
    border-radius: 3px;
    cursor: pointer;
}

#open-profile:focus, #edit-profile:focus, #reset-profile-pass:focus, .selected-tab {
    border-bottom: 2px solid #6258FB;
}

.small-title {
    padding-left: 20px;
    text-transform: uppercase;
    font-size: 20px;
    color: rgb(116, 116, 116);
}

/* MODAL FORM */

.form-group.success input {
    border-color: var(--plus-color);
}

.form-group.error input {
    border-color: var(--minus-color);
}

.form-group small {
    font-size: 16px;
    color: var(--minus-color);
    visibility: hidden;
}

.form-group.error small {
    visibility: visible;
}

/* ------------------------------------------------ */

.main-container, .page-main-title {
    background-color: white;
    padding: 10px;
}

.table-header {
    color: #999;
    text-transform: capitalize;
    padding-bottom: 15px;
}

.table-user-item {
    border-bottom: 1px solid rgb(182, 182, 182);
}

.table-header, .table-user-item {
    padding-top: 10px;
    padding-bottom: 10px;
}

.table-user-item:hover {
    background-color: yellow;
}

#collapse-icon {
    color: var(--main-buttons);
}

.main-c, .fa-user {
    color: var(--main-color);
}

.add, .fa-user-plus, .fa-eye {
    color: var(--plus-color);
}

.remove, .fa-user-minus {
    color: var(--minus-color);
}

.block, .fa-user-lock, .fa-edit {
    color: var(--block-color);
}

.edit, .fa-user-edit {
    color: var(--edit-color);
}

/* User profile */

ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

.userInfo li {
    color: black;
}

.userInfo li:nth-child(odd) {
    background-color: #F0F5F8;
}

.userInfo li {
    height: 70px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    padding: 0px 35px;
    word-wrap: break-word;
}

@media screen and (max-width: 420px) {
    .userInfo li {
        font-size: 0.8em;
    }
}

.userInfo li span {
    display: block;
    position: relative;
}

.userInfo li span, body .userInfo li strong {
    width: 50%;
}

.profileImage {
    border-radius: 3px;
    text-align: center;
    padding: 50px 30px;
}

.profileImage img {
    height: 200px;
    width: 200px;
    object-fit: contain;
    background: #fafafa;
    border-radius: 50%;
    margin-bottom: 30px;
}

.managment-buttons {
    padding: 10px 40px 10px 10px;
}

/* HOME CONTACT */

#contact-area {
    padding: 40px;
    background-color: #e9e9e9;
}

.contact-info {
    margin-top: 3%;
}

.contact-info p {
    font-size: 14px;
    color: var(--main-background);
}

.jumbotron, .company-information {
    background-color: #f7f7f7 !important;
}

table {
    font-size: 14px;
}

table.table-bordered>thead>tr>th {
    color: var(--main-color);
    border: none;
}

table.table-bordered>tbody>tr>td {
    border: none;
    border-bottom: 1px solid rgb(226, 226, 226);
}

table.table-bordered>tbody>tr:hover {
    background-color: rgb(248, 248, 248);
}

/* Search container */

.search-container {
    width: 100%;
    margin-bottom: 10px;
}

.search-container input[type=text] {
    padding: 5px;
    border: 1px var(--main-background) solid;
    border-radius: 5px;
}

.search-input:focus {
    outline: none;
}

.fa-search {
    margin-top: auto;
    margin-bottom: auto;
    margin-left: 10px;
    color: var(--main-background);
}

/* pagination */

.pagination-section ul li a {
    padding: 10px;
    font-size: 0.9em;
    color: black;
}

.pagination-section ul li a:hover {
    font-weight: bold;
    color: black;
}

.pagination-section ul li a:focus {
    font-weight: bold;
    color: black;
}

/* Alert modals */

.alert-modal {
    padding: 30px;
}

.alert-modal .fa-minus-circle {
    color: var(--minus-color);
}

.alert-modal .fa-exclamation-circle {
    color: var(--edit-color);
}

.alert-modal .fa-check-circle {
    color: var(--plus-color);
}

.alert-modal h2 {
    padding-top: 20px;
}

.alert-modal p {
    padding-bottom: 20px;
    color: var(--main-background);
}

.cancel-button, .confirm-button {
    color: #fff;
    width: 30%;
    border-radius: 5px;
}

.cancel-button {
    background: var(--main-background);
    width: 30%;
}

.confirm-button {
    background: var(--main-buttons);
}

.dropdown {
    padding: 5px;
}

.filter-option {
    width: 120px;
    background: var(--blue-button);
    text-align: center;
    color: #fff;
    border-radius: 5px;
}

.sort-select, .filter-select {
    border-radius: 5px;
    border: 1px white solid;
    outline: none;
    color: rgb(24, 25, 78);
    background-color: #eeeeee;
    padding: 5px;
    margin-left: 10px;
}

.filer-select-search {
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
    border: 1px white solid;
    outline: none;
    color: rgb(24, 25, 78);
    background-color: #eeeeee;
    padding: 5px;
    margin-left: 10px;
}

.filer-search-container input[type=text] {
    padding: 5px;
    border-top-left-radius: none;
    border-bottom-left-radius: none;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
    background-color: white;
    border: 1px rgb(230, 230, 230) solid;
    border-left-style:none;
}

.sort-select:focus, .filter-select:focus {
    outline: none;
}

.dropdown-toggle:after {
    content: none
}

.pad {
    margin-right: 10px;
}

.filter-area-buttons {
    margin: auto;
    padding: auto;
    margin-bottom: 20px;
}

.active-button {
    border-bottom: 1px var(--main-background) solid;
}

.filter-area-buttons span {
    font-size: 14px;
}

.c-list {
    color: var(--main-two-color);
}

.c-delete {
    color: var(--minus-color);
}

.c-add {
    color: var(--plus-color);
}

.c-edit {
    color: var(--edit-color);
}

.c-block {
    color: var(--block-color);
}

.c-wallet {
    color: rgb(92, 84, 211);
}

.d-inline-block {
    outline: none;
}

.tr-input {
    width: 100%;
}

.tr-input-2 {
    width: 70%;
}

.tr-input, .tr-input-2 {
    border: 1px lightgray solid;
    border-radius: 5px;
    padding: 5px;
    height: 40px;
}

.tr-input:focus, .tr-input-2:focus {
    outline: none;
}

.select-option {
    background: rgb(240, 240, 240);
    border: none;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

.search-option {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

.paginationjs {
    display: inline-block;
    margin-left: 10px;

}

.paginationjs-pages, .paginationjs-go-input, .paginationjs-go-button, .paginationjs-pages ul li {
    float: left;
}

.J-paginationjs-go-pagenumber, .paginationjs-pages ul li, .J-paginationjs-go-button {
    padding: 10px;
}

.J-paginationjs-go-pagenumber{
    width: 40px;
}

.paginationjs-pages ul li:hover {
    background-color: var(--main-buttons);
    color: white;
}